Bug 173678 - zsh 's limit is not functionnal
zsh 's limit is not functionnal
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: zsh (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-18 16:19 EST by Tru Huynh
Modified: 2012-06-20 09:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tru Huynh 2005-11-18 16:19:32 EST
Description of problem:
zsh's builtin limit is not working on x86_64
limit reports nothing (limit stacksize report an error).

Version-Release number of selected component (if applicable):
zsh-4.2.0-3.EL.3.x86_64

How reproducible:
always

Steps to Reproduce:
1. zsh
2. limit stacksize

  
Actual results:
limit: no such resource: stacksize

Expected results:
stacksize       10MB (or any value)

Additional info:
same issue as reported at
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=161166

the issue does not appear on i386:
[tru@cumin ~]$ rpm -q zsh
zsh-4.2.0-3.EL.3.i386
[tru@cumin ~]$ zsh
[tru@cumin]~% limit stacksize
stacksize       10MB
Comment 1 Daniel Qarras 2007-05-02 11:13:41 EDT
FWIW, this works for me on an x86-64 with Fedora Core 6:

localhost> uname -m    
x86_64
localhost> rpm -q zsh
zsh-4.2.6-1
localhost> limit stacksize
stacksize       10MB
localhost> 
Comment 2 Jiri Pallich 2012-06-20 09:29:10 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.